Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository.impl
Class SwiftObjectImpl

    java.lang.Object
      com.stc.swift.repository.impl.SwiftObjectImpl

All Implemented Interfaces:
  com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  LocalizedInfoImpl, SwiftManagerImpl, SwiftProjectElementImpl

    public abstract class SwiftObjectImpl

extends java.lang.Object
implements com.stc.repository.RepositoryObject

Base class for all Swift objects.

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Constructor Summary
`SwiftObjectImpl()` Constructs an instance.
`SwiftObjectImpl(com.stc.repository.RepositoryObject owner, java.lang.String name)` Constructs an instance.
`SwiftObjectImpl(com.stc.repository.RepositoryObject owner, java.lang.String id, java.lang.String name)` Constructs an instance.
`SwiftObjectImpl(java.lang.String id, java.lang.String name)` Constructs an instance.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String name, java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListeners(java.util.Collection value)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getACLInfo()` Returns acl info
`java.lang.String` | `getClassNameAlias()`
`java.lang.String` | `getClassNameAlias(java.lang.Class aClazz)` Returns the class name alias
`java.lang.String` | `getCreatedBy()`
`java.util.Date` | `getCreationDate()`
`com.stc.repository.CUDTracker` | `getCUDTracker()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getLastUpdatedBy()`
`java.util.Date` | `getLastUpdatedDate()`
`com.stc.repository.persistence.client.MarshalableSupport` | `getMarshalableSupport()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOID()`
`java.lang.String` | `getOwnerOID()`
`com.stc.repository.persistence.client.PersistableSupport` | `getPersistableSupport()`
`java.util.Map` | `getPropertyMap(java.lang.String relation, boolean create)`
`java.lang.Object` | `getReferenceID()`
`java.util.Map` | `getRelationshipMap()`
`com.stc.repository.versioncontrol.VersionInfo` | `getVersionInfo()`
`int` | `hashCode()`
`boolean` | `isHeaderResolved()`
`boolean` | `isLocked()`
`boolean` | `isVersionable()`
`void` | `onDelete()`
`void` | `onUnmarshalFinished()`
`void` | `onUnmarshalStarting()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String name, java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListeners(java.util.Collection value)`
`void` | `resolve(boolean force)`
`void` | `setACLInfo(java.lang.String value)` Sets acl info
`void` | `setCreatedBy(java.lang.String userName)`
`void` | `setCreationDate(java.util.Date date)`
`void` | `setCUDTracker(com.stc.repository.CUDTracker tracker)`
`void` | `setDescription(java.lang.String value)`
`void` | `setHeaderResolved(boolean value)`
`void` | `setLastUpdatedBy(java.lang.String userName)`
`void` | `setLastUpdatedDate(java.util.Date date)`
`void` | `setName(java.lang.String value)`
`void` | `setOID(java.lang.String value)`
`void` | `setOwnerOID(java.lang.String value)` Set the owner OID
`void` | `setPropertyMap(java.lang.String relation, java.util.Map map)`
`void` | `setReferenceID(java.lang.Object value)`
`void` | `setResolver(com.stc.repository.persistence.client.Resolver value)`
`void` | `setUnresolved()`
`void` | `setVersionInfo(com.stc.repository.versioncontrol.VersionInfo value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwiftObjectImpl

    public SwiftObjectImpl()

  Constructs an instance.

### SwiftObjectImpl

    public SwiftObjectImpl(java.lang.String id,
                           java.lang.String name)
                    throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `id` - id
    `name` - name
  Throws:
    `com.stc.repository.RepositoryException` - unable to instantiate

### SwiftObjectImpl

    public SwiftObjectImpl(com.stc.repository.RepositoryObject owner,
                           java.lang.String id,
                           java.lang.String name)
                    throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `owner` - RepositoryObject
    `id` - id
    `name` - name
  Throws:
    `com.stc.repository.RepositoryException` - unable to instantiate

### SwiftObjectImpl

    public SwiftObjectImpl(com.stc.repository.RepositoryObject owner,
                           java.lang.String name)
                    throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `owner` - RepositoryObject
    `name` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

Method Detail

### getReferenceID

    public java.lang.Object getReferenceID()

  Specified by:
    `getReferenceID` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.getReferenceID()`

### setReferenceID

    public void setReferenceID(java.lang.Object value)
                        throws com.stc.repository.RepositoryException

  Specified by:
    `setReferenceID` in interface `com.stc.repository.persistence.client.Marshalable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Marshalable.setReferenceID(Object)`

### getClassNameAlias

    public java.lang.String getClassNameAlias()

  Specified by:
    `getClassNameAlias` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.getClassNameAlias()`

### getClassNameAlias

    public java.lang.String getClassNameAlias(java.lang.Class aClazz)

  Returns the class name alias

  Parameters:
    `aClazz` - the Class
  Returns:
    String class name alias
  Since:
    1.0

### getRelationshipMap

    public java.util.Map getRelationshipMap()

  Specified by:
    `getRelationshipMap` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.getRelationshipMap()`

### getPropertyMap

    public java.util.Map getPropertyMap(java.lang.String relation,
                                        boolean create)

  Specified by:
    `getPropertyMap` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.getPropertyMap(String, boolean)`

### setPropertyMap

    public void setPropertyMap(java.lang.String relation,
                               java.util.Map map)

  Specified by:
    `setPropertyMap` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.setPropertyMap(String, Map)`

### onUnmarshalStarting

    public void onUnmarshalStarting()

  Specified by:
    `onUnmarshalStarting` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.onUnmarshalStarting()`

### onUnmarshalFinished

    public void onUnmarshalFinished()

  Specified by:
    `onUnmarshalFinished` in interface `com.stc.repository.persistence.client.Marshalable`
  See Also:
    `Marshalable.onUnmarshalFinished()`

### isLocked

    public boolean isLocked()
                     throws com.stc.repository.RepositoryException

  Specified by:
    `isLocked` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.isLocked()`

### getOID

    public java.lang.String getOID()
                            throws com.stc.repository.RepositoryException

  Specified by:
    `getOID` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getOID()`

### setOID

    public void setOID(java.lang.String value)
                throws com.stc.repository.RepositoryException

  Specified by:
    `setOID` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setOID(String)`

### getName

    public java.lang.String getName()
                             throws com.stc.repository.RepositoryException

  Specified by:
    `getName` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getName()`

### setName

    public void setName(java.lang.String value)
                 throws com.stc.repository.RepositoryException

  Specified by:
    `setName` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setName(String)`

### getDescription

    public java.lang.String getDescription()
                                    throws com.stc.repository.RepositoryException

  Specified by:
    `getDescription` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getDescription()`

### setDescription

    public void setDescription(java.lang.String value)
                        throws com.stc.repository.RepositoryException

  Specified by:
    `setDescription` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setDescription(String)`

### getOwnerOID

    public java.lang.String getOwnerOID()
                                 throws com.stc.repository.RepositoryException

  Specified by:
    `getOwnerOID` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getOwnerOID()`

### setOwnerOID

    public void setOwnerOID(java.lang.String value)
                     throws com.stc.repository.RepositoryException

  Set the owner OID

  Parameters:
    `value` - an owner OID
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### getACLInfo

    public java.lang.String getACLInfo()
                                throws com.stc.repository.RepositoryException

  Returns acl info

  Specified by:
    `getACLInfo` in interface `com.stc.repository.persistence.client.Persistable`
  Returns:
    String acl info
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### setACLInfo

    public void setACLInfo(java.lang.String value)
                    throws com.stc.repository.RepositoryException

  Sets acl info

  Specified by:
    `setACLInfo` in interface `com.stc.repository.persistence.client.Persistable`
  Parameters:
    `value` - acl info
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### setResolver

    public void setResolver(com.stc.repository.persistence.client.Resolver value)
                     throws com.stc.repository.RepositoryException

  Specified by:
    `setResolver` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setResolver(Resolver)`

### setUnresolved

    public void setUnresolved()
                       throws com.stc.repository.RepositoryException

  Specified by:
    `setUnresolved` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setUnresolved()`

### resolve

    public void resolve(boolean force)
                 throws com.stc.repository.RepositoryException

  Specified by:
    `resolve` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.resolve(boolean)`

### getVersionInfo

    public com.stc.repository.versioncontrol.VersionInfo getVersionInfo()
                                                                 throws com.stc.repository.RepositoryException

  Specified by:
    `getVersionInfo` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getVersionInfo()`

### setVersionInfo

    public void setVersionInfo(com.stc.repository.versioncontrol.VersionInfo value)
                        throws com.stc.repository.RepositoryException

  Specified by:
    `setVersionInfo` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setVersionInfo(VersionInfo)`

### setHeaderResolved

    public void setHeaderResolved(boolean value)
                           throws com.stc.repository.RepositoryException

  Specified by:
    `setHeaderResolved` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setHeaderResolved(boolean)`

### isHeaderResolved

    public boolean isHeaderResolved()
                             throws com.stc.repository.RepositoryException

  Specified by:
    `isHeaderResolved` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.isHeaderResolved()`

### setCreatedBy

    public void setCreatedBy(java.lang.String userName)
                      throws com.stc.repository.RepositoryException

  Specified by:
    `setCreatedBy` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setCreatedBy(String)`

### getCreatedBy

    public java.lang.String getCreatedBy()
                                  throws com.stc.repository.RepositoryException

  Specified by:
    `getCreatedBy` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getCreatedBy()`

### setLastUpdatedBy

    public void setLastUpdatedBy(java.lang.String userName)
                          throws com.stc.repository.RepositoryException

  Specified by:
    `setLastUpdatedBy` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setLastUpdatedBy(String)`

### getLastUpdatedBy

    public java.lang.String getLastUpdatedBy()
                                      throws com.stc.repository.RepositoryException

  Specified by:
    `getLastUpdatedBy` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getLastUpdatedBy()`

### setLastUpdatedDate

    public void setLastUpdatedDate(java.util.Date date)
                            throws com.stc.repository.RepositoryException

  Specified by:
    `setLastUpdatedDate` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setLastUpdatedDate(Date)`

### getLastUpdatedDate

    public java.util.Date getLastUpdatedDate()
                                      throws com.stc.repository.RepositoryException

  Specified by:
    `getLastUpdatedDate` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getLastUpdatedDate()`

### setCreationDate

    public void setCreationDate(java.util.Date date)
                         throws com.stc.repository.RepositoryException

  Specified by:
    `setCreationDate` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.setCreationDate(Date)`

### getCreationDate

    public java.util.Date getCreationDate()
                                   throws com.stc.repository.RepositoryException

  Specified by:
    `getCreationDate` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.getCreationDate()`

### isVersionable

    public boolean isVersionable()
                          throws com.stc.repository.RepositoryException

  Specified by:
    `isVersionable` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `Persistable.isVersionable()`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.addPropertyChangeListener(PropertyChangeListener)`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String name,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.addPropertyChangeListener(String, PropertyChangeListener)`

### addPropertyChangeListeners

    public void addPropertyChangeListeners(java.util.Collection value)

  Specified by:
    `addPropertyChangeListeners` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.addPropertyChangeListeners(Collection)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.removePropertyChangeListener(PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String name,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.removePropertyChangeListener(String, PropertyChangeListener)`

### removePropertyChangeListeners

    public void removePropertyChangeListeners(java.util.Collection value)

  Specified by:
    `removePropertyChangeListeners` in interface `com.stc.repository.persistence.client.PropertyChangePublisher`
  See Also:
    `PropertyChangePublisher.removePropertyChangeListeners(Collection)`

### getCUDTracker

    public com.stc.repository.CUDTracker getCUDTracker()

  Specified by:
    `getCUDTracker` in interface `com.stc.repository.RepositoryObject`
  See Also:
    `RepositoryObject.getCUDTracker()`

### setCUDTracker

    public void setCUDTracker(com.stc.repository.CUDTracker tracker)

  Specified by:
    `setCUDTracker` in interface `com.stc.repository.RepositoryObject`
  See Also:
    `RepositoryObject.setCUDTracker(CUDTracker)`

### onDelete

    public void onDelete()
                  throws com.stc.repository.RepositoryException

  Specified by:
    `onDelete` in interface `com.stc.repository.RepositoryObject`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `RepositoryObject.onDelete()`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  See Also:
    `PropertyChangeListener.propertyChange(PropertyChangeEvent)`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - an object
  Returns:
    true if equal

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### getPersistableSupport

    public com.stc.repository.persistence.client.PersistableSupport getPersistableSupport()
                                                                                   throws com.stc.repository.RepositoryException

  Specified by:
    `getPersistableSupport` in interface `com.stc.repository.persistence.client.Persistable`
  Throws:
    `com.stc.repository.RepositoryException`

### getMarshalableSupport

    public com.stc.repository.persistence.client.MarshalableSupport getMarshalableSupport()
                                                                                   throws com.stc.repository.RepositoryException

  Specified by:
    `getMarshalableSupport` in interface `com.stc.repository.persistence.client.Marshalable`
  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.